\documentclass[tikz,convert={outfile=\jobname.svg}]{standalone}
% Compile with:
%pdflatex -shell-escape
\usepackage{xstring}
\newcommand{\blu}[1]{{\color{blue}#1}}
\newcommand{\red}[1]{{\color{red}#1}}
\newcommand{\grn}[1]{{\color{green!50!black}#1}}
\begin{document}
\begin{tikzpicture}[scale=1.5]
  \foreach \subpicture/\shift/\spread in {a/0/0,b/80/0,c/175/.4}{
    \begin{scope}[xshift=\shift]
      %define nodes
      \foreach[count=\n from 0] \position in {
        (-126:1),
        (-54:1),
        (18:1),
        (0, 0),
        (54:1.62),
        (90:1),
        (162:1),
      }{
        \path \position coordinate (\n);
      }
      \foreach \dom/\a/\b/\c/\d/\color/\angle in {
        1/0/1/2/3/green!70!black/-60,
        2/3/2/4/5/blue/60,
        3/5/6/0/3/red/180}{
        \path  (-\spread, 0) + (-1.1, 1.3) node {(\subpicture)};
        \foreach \n in {0, ..., 6}{
          \path (\n) +(\angle:\spread) coordinate (\dom\n);}
        \IfStrEq{\subpicture}{a}{
          \newcommand{\myfillcolor}{white}
        }{
          \newcommand{\myfillcolor}{\color}
        }
        {\filldraw[fill opacity=.3, fill=\myfillcolor]
          (\dom\a)--(\dom\b)--(\dom\c)--(\dom\d)--cycle
          (\dom\b)--(\dom\d);}
        {\IfStrEq{\subpicture}{c}{%
            \foreach[count=\n from 0] \p in {\a, \b, \c, \d}{
              \path (\dom\p) node[
                circle, fill=white, draw=\color,
                font=\small, inner sep=1pt, \color]
              (\dom\p) {\n};
            }
          }{
            \foreach \p in {0, ..., 6}{
              \path (\dom\p) node[
                circle, fill=white, draw=black,
                font=\small, inner sep=1pt]
              (\p) {\p};
            }
        }}
      }
      \draw[densely dotted, very thick] (10)--(30) (12)--(22) (13)--(23)--(33)--(13) (25)--(35);
      \IfStrEq{\subpicture}{a}{}{
        \foreach \domnum/\dom/\pos/\color in {
          0/1/(-25:1.1)/green!70!black,
          1/2/(35:1.5)/blue,
          2/3/(135:1.1)/red}{
          \path (\dom3) +\pos node[\color] {$\Omega_\domnum$};
        }
      }
    \end{scope}
  }
\end{tikzpicture}
\end{document}
